%define debug_package %{nil}

Summary: 	ABI checking tool
Name: 		abicheck
Version: 	1.2
Release:	20
License: 	LGPLv2
Group: 		Applications/File
URL: 		http://abicheck.sourceforge.net/
Source0: 	http://dl.sf.net/abicheck/%{name}-%{version}.tar.gz
Source1:	abicheck-dbfile-fortify-source
Patch0:		abicheck-1.2-fc3.patch
Patch1:		abicheck-1.2-tests.patch
Patch2:		abicheck-1.2-bindings-fc4.patch
Patch3:		abicheck-1.2-libgcc.patch
Patch5:		abicheck-1.2-ldlinux.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
Requires:	binutils perl


%description
abicheck is a tool that checks application binary executables and
shared libraries for conformance to the (or an) ABI (Application
Binary Interface).


%prep
%setup -q
sed -i -e '1d;2i#!/usr/bin/perl' abicheck.pl
%patch0 -p1 -b .fc3
%patch1 -p1 -b .tests
%patch2 -p1 -b .bindings-fc4
%patch3 -p1 -b .libgcc
%patch5 -p1 -b .ldlinux
sed -i -e 's!/usr/lib/!%{_libdir}/!g' test/Makefile


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0755 abicheck $RPM_BUILD_ROOT%{_bindir}
install -p -m 0644 abicheck.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 %{SOURCE1} dbfile.FORTIFY_SOURCE


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INTRO README
%doc dbfile.FORTIFY_SOURCE
%{_bindir}/abicheck
%{_mandir}/man1/abicheck.1*


%changelog
* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-20
- Rename Patch to Patch0 - should fix build in Rawhide.

* Wed Aug  6 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-19
- Fix shebang to make rpmlint happy.

* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-18
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Tue Jan 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-17
- Make ldlinux patch look for more linker names.
- Remove unbound_match patch. Not needed in F-9 devel.
- Move fortify-source patch into separate dbfile in docdir.

* Fri Oct  5 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-15
- Patch unbound_match.
- Update fortify-source patch.

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-14
- Clarify licence (LGPLv2).

* Thu May 24 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-13
- More patches for the tests.

* Thu May 24 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-12
- Patch tests a bit more (also fixes ppc64).

* Mon Aug 28 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-11
- Rebuild and update fortify-source patch.

* Thu Mar  2 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-10
- rebuilt for FC5 only to run the %%check section

* Tue Aug 16 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-9
- Patch abicheck to run dynamic linker directly instead of
  using ldd and receiving its intermixed lines.

* Mon Aug 15 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-8
- Add libgcc symbols.
- Add more _FORTIFY_SOURCE symbols.
- Override symbol classification by default.

* Thu Aug 11 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-7
- Add an override file in %%doc which can be specified with
  option -O to modify the symbol classification for binaries
  built with _FORTIFY_SOURCE.

* Mon May  9 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-6
- Disable debuginfo package.

* Thu Apr 14 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-5
- Replace /usr/lib/ with %%_libdir/ in %%prep.

* Mon Apr 11 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-4
- Add patch to catch up with bindings related changes in ldd output.

* Fri Apr  7 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Mon Dec 13 2004 Michael Schwendt <mschwendt@fedoraproject.org> - 1.2-3
- Add patch to catch up with changes in ldd output.
- Fix static linking test.
- Drop Epoch 0.

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.2
- Added missing Requires

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.2-0.fdr.1
- Updated to 1.2
- Dropped patch (applied upstream)

* Sat Aug 23 2003 Dams <anvil[AT]livna.org> 0:1.1-0.fdr.2
- Aplied patch from Michael Schwendt (bug #605 comment #1)

* Sat Aug 16 2003 Dams <anvil[AT]livna.org>
- Initial build.
